Copyright: FDL
Source: rhel-devtools-en-%{version}.tbz
Release: 1
Name: rhel-devtools-en
Group: Documentation
URL: http://www.redhat.com/docs/
Version: 3
Summary: Red Hat Enterprise Linux %{version} Developer Tools Guide
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description
This guide provides an overview of the Red Hat Enterprise Linux
developer tools including gcc, cpp, gdb, ld, as, and binutils.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Developer Tools Guide
Comment=Read an overview of the developer tools
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Thu Oct  2 2003 Tammy Fox <tfox@falcon.rdu.redhat.com> 3-1
- build for RHEL 3
